Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenLabel

All Superinterfaces:
  EObject, GenCommonBase, Notifier

All Known Subinterfaces:
  GenExternalNodeLabel, GenLinkLabel, GenNodeLabel

All Known Implementing Classes:
  GenExternalNodeLabelImpl, GenLabelImpl, GenLinkLabelImpl, GenNodeLabelImpl

public interface GenLabel
extends GenCommonBase

A representation of the model object 'Gen Label'. Label on diagram

The following features are supported:

- `Read Only`
- `Element Icon`
- `Model Facet`

See Also:
  `GMFGenPackage.getGenLabel()`
** Generated **
Model:
  abstract="true"

Field Summary
`static java.lang.String` `CLASS_NAME_PREFIX`

Fields inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase
`DEFAULT_CLASS_NAME_PREFIX, EDIT_PART_SUFFIX, ITEM_SEMANTIC_EDIT_POLICY_SUFFIX, NOTATION_VIEW_FACTORY_SUFFIX`

Method Summary
`EList` `getMetaFeatures()` Returns structural features that provide label content
`LabelModelFacet` `getModelFacet()` Returns the value of the 'Model Facet' containment reference
`boolean` `isElementIcon()` Returns the value of the 'Element Icon' attribute
`boolean` `isReadOnly()` Returns the value of the 'Read Only' attribute
`void` `setElementIcon(boolean value)` Sets the value of the '`Element Icon`' attribute
`void` `setModelFacet(LabelModelFacet value)` Sets the value of the '`Model Facet`' containment reference
`void` `setReadOnly(boolean value)` Sets the value of the '`Read Only`' attribute

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenCommonBase

`getClassNamePrefix, getClassNameSuffux, getDiagram, getDiagramRunTimeClass, getEditPartClassName, getEditPartQualifiedClassName, getElementType, getItemSemanticEditPolicyClassName, getItemSemanticEditPolicyQualifiedClassName, getLayoutType, getNotationViewFactoryClassName, getNotationViewFactoryQualifiedClassName, getUniqueIdentifier, getViewmap, getVisualID, setDiagramRunTimeClass, setEditPartClassName, setElementType, setItemSemanticEditPolicyClassName, setNotationViewFactoryClassName, setViewmap, setVisualID`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### CLASS_NAME_PREFIX

    public static final java.lang.String CLASS_NAME_PREFIX

See Also:
  Constant Field Values

Method Detail

### isReadOnly

    public boolean isReadOnly()

  Returns the value of the 'Read Only' attribute.

  If the meaning of the 'Read Only' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Read Only' attribute.
  See Also:
    `GenLabel.setReadOnly(boolean)`, `GMFGenPackage.getGenLabel_ReadOnly()`
  ** Generated **
  Model:

### setReadOnly

    public void setReadOnly(boolean value)

  Sets the value of the '`Read Only`' attribute.

  Parameters:
    `value` - the new value of the 'Read Only' attribute.
  See Also:
    `GenLabel.isReadOnly()`
  ** Generated **

### isElementIcon

    public boolean isElementIcon()

  Returns the value of the 'Element Icon' attribute.

  If the meaning of the 'Element Icon' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Element Icon' attribute.
  See Also:
    `GenLabel.setElementIcon(boolean)`, `GMFGenPackage.getGenLabel_ElementIcon()`
  ** Generated **
  Model:

### setElementIcon

    public void setElementIcon(boolean value)

  Sets the value of the '`Element Icon`' attribute.

  Parameters:
    `value` - the new value of the 'Element Icon' attribute.
  See Also:
    `GenLabel.isElementIcon()`
  ** Generated **

### getModelFacet

    public LabelModelFacet getModelFacet()

  Returns the value of the 'Model Facet' containment reference.

  If the meaning of the 'Model Facet' containment reference isn't clear, there really should be more of a description here...

  If model facet is not specified then custom parser should be provided for the label

  Returns:
    the value of the 'Model Facet' containment reference.
  See Also:
    `GenLabel.setModelFacet(LabelModelFacet)`, `GMFGenPackage.getGenLabel_ModelFacet()`
  ** Generated **
  Model:
    containment="true"

### setModelFacet

    public void setModelFacet(LabelModelFacet value)

  Sets the value of the '`Model Facet`' containment reference.

  Parameters:
    `value` - the new value of the 'Model Facet' containment reference.
  See Also:
    `GenLabel.getModelFacet()`
  ** Generated **

### getMetaFeatures

    public EList getMetaFeatures()

  Returns structural features that provide label content

  ** Generated **
  Model:
    kind="operation" type="org.eclipse.emf.codegen.ecore.genmodel.GenFeature"

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.